
Redmine - Defect #10085

500 Server error when invalid assigned_to_id parameter passed

2012-01-30 00:15 - James Kyle

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.2.2

Description

Redmine 1.2.2

Example:

curl -k -IL -H"X-Redmine-API-Key:$apikey" "https://${url}/issues.json?limit=1&project_id=94&status

_id=closed&assigned_to_id=jkyle"

 'jkyle' is an invalid value as assigned_to_id requires a int. But it appears this is unhanded as the response is 

Content-Length: 1

    Status: 500

    Connection: close

    Content-Type: application/json; charset=utf-8

 If strict typing is enforced, I'd expect a 400. Otherwise a 404.

History

#1 - 2012-02-02 23:47 - Jean-Philippe Lang

According to RFC2616:

500 Internal Server Error:

The server encountered an unexpected condition which prevented it from fulfilling the request.

 That seems appropriate :-)

#2 - 2012-02-02 23:55 - Jean-Philippe Lang

- Resolution set to Cant reproduce

That said, I can't reproduce. I'm getting a 200 reponse with an empty result set.

#3 - 2017-01-11 10:46 - Go MAEDA

- Status changed from New to Closed

I cannot reproduce in 3.3.

I am closing this issue.
